<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_s"></a>- s -</h3><ul>
<li>SEARCH
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae499d432b760ccfc2b5a6ae6aaeab067">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>Search()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a34342fb826b3e64cdfc48afa412e5b8e">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>SEARCH
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a2639e1b55f6887944e59d48ee34e4a62">SemanticSearchImplementation.SemanticSearch</a>
</li>
<li>SEARCH_ADVANCED
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#accd2eb1ac80db3a7415251d9ab604324">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>SEARCH_FROM
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4643c421de6469d8366b9209e7e3146d">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>SEARCH_SIZE
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aed2550cf8759e4bc769c82a5f64f6816">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>SEARCH_SORTING
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a38145e726d5fed94d57dc38d6699dffb">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>SearchAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#aa4b8db03c1a6f59fed8fc3a21c2b71d6">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a4941aadcb081b3debbf4b3a57986882e">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9534732a7ffc8e6298597a522c8b2b15">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>SetCurrentIndexVersion()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6483721fe8fb067835647b236e7e11a5">SemanticSearchImplementation.RdfClient</a>
</li>
<li>SH_CLASS
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a63b364025082a0d6d802efdaab167678">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_CONSTRUCT
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a9319d02e8bbb4370750cf55b3f8093ef">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_DATATYPE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ae1bbf16b2274e8383f534133d9a52c98">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_DECLARE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#afbb78d9e6b08c7e4cb159c2e2c8e49b8">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_NAME
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a6d164e2e6ae4a1bc5ecd2349a97cadcf">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_NAMESPACE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#aca58715106bb6879fc46de1986ae7bdb">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_NODE_SHAPE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ad651e975a88611a5155ccf1e7bb611c6">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_ORDER
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ad848efaa1f792adaffffaa94d7fff67f">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_PATH
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a2264247901ed9292bacb27842aca6149">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_PREFIX
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#aa40af8345cb39be37e77fc37580ea95a">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_PREFIXES
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a9a15543e0b081b77c63f19e6d1a618a8">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_PROPERTY
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a1ac114a6d2326e4a163c7b5a9fa7caf4">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_RULE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a2b56260800061af5fc46fc51c3e4985a">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_SELECT
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#ad11f70895cf16ebbecf9674ce34a5697">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_SPARQL_RULE
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a1b4bfae44bddb41a7a4ffa69d9b4eaab">SemanticSearchImplementation.Uris</a>
</li>
<li>SH_TARGET
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#a5f8d4f9f91c4c70fb3bbe85061b5b27d">SemanticSearchImplementation.Uris</a>
</li>
<li>SHACL
: <a class="el" href="class_semantic_search_implementation_1_1_uris.html#acf84582d05f8e742c4bbb931e1c5f873">SemanticSearchImplementation.Uris</a>
</li>
<li>SpecificApplicationProfile()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a296fcd0e022b319af338d797916dc212">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>SwitchAliasAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a46a54adb57d6821229aa73d7918a0e97">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ad1eab5dedb94a615d1c8608dc7052f">SemanticSearchImplementation.ISearchClient</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
